org.codehaus.plexus.component.discovery

## Interface ResourceBasedComponentDiscoverer

All Superinterfaces:
  ComponentDiscoverer

    public interface ResourceBasedComponentDiscoverer
    extends ComponentDiscoverer

Component discoverer which relies on the metadata for the components residing in a resource that can be found in a classloader.

Author:
  jvanzyl

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getComponentDescriptorLocation()`

### Methods inherited from interface org.codehaus.plexus.component.discovery.ComponentDiscoverer

`findComponents`

### Method Detail

#### getComponentDescriptorLocation

    java.lang.String getComponentDescriptorLocation()